local ffi = require 'ffi'
local lj_include = require 'lj_include'
local defs = {
    CLOCKS_PER_SEC = '1000000',
    CLOCK_REALTIME = '0',
    CLOCK_MONOTONIC = '1',
    CLOCK_PROCESS_CPUTIME_ID = '2',
    CLOCK_THREAD_CPUTIME_ID = '3',
    TIMER_ABSTIME = '1',
}
local format, cdef, C = string.format, ffi.cdef, ffi.C
for sym, val in pairs(defs) do
    if not pcall(function() return C[sym] end) then
        cdef(format("enum {%s = %s};", sym, val))
    end
end

